Subject: lintian: *.a files should only be tested for unpacking if they are really ar archives

From: Santiago Vila <[email-masked]>
Date: Wed, 28 Dec 2022 13:37:21 +0100

Hello. I was going to report this but I see it's already reported.

Here is another false positive:

lintian believes that the file testdir/t.a in original-awk
source is an ar archive and produces this output:

E: original-awk source: unpack-message-for-orig original-awk_2022-01-22.orig.tar.gz . ar failed for awk-20220122/testdir/t.a

The contents of the file, however, is the following:

	{if (amount[$2] "" == "") item[++num] = $2;
	 amount[$2] += $1
	}
END	{for (i=1; i<=num; i++)
		print item[i], amount[item[i]]
	}

and the "file" command correctly identifies it not as an ar archive:

$ file testdir/*.a
testdir/t.a: ASCII text

Therefore I propose that lintian only tries to unpack *.a files when
the "file" command identifies it as an "ar" archive:

$ file /lib/x86_64-linux-gnu/libc.a
/lib/x86_64-linux-gnu/libc.a: current ar archive

Thanks.